Name:		daisy-player
Version:	8.5.1
Release:	1%{?dist}
Summary:	Curses based Daisy Player

License:	GPL
URL:		http://www.jlemmens.nl/homepage/daisy-player-8.5.1.tar.gz
Source0:	%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-includes.patch
Patch2:		%{name}-%{version}-soxoption.patch
Patch3:		%{name}-%{version}-pulseaudio.patch

BuildRequires:	ncurses-devel sox-devel libxml2-devel
BuildRequires:	libcdio-devel

# Somewhen between 17 and 20 libcdio-paranoia was moved out of libcdio.
%if 0%{?fedora} > 17
BuildRequires:	libcdio-paranoia-devel
%endif
BuildRequires:  txt2man file-devel

Requires:	madplay sox file-libs

%description
Daisy-player is a computer DAISY player, created by Jos Lemmens. Its
functionality and features are fully comparable with expensive
commercial players or even better.

Daisy-player has a straightforward user interface. Easy to operate by
blind and visually impaired users as well as users with dyslexia. All
functions are available via the keyboard. Daisy-player is
multi-lingual, available in English, Dutch, German, South-African.

%prep
%setup -q
%patch1 -p0 -b .includes.patch
%patch2 -p0 -b .soxoption.patch
%patch3 -p0 -b .pulseaudio.patch

%build
./configure --prefix=%{_prefix}
make %{?_smp_mflags}
cp -p doc/Readme README
cp -p doc/License LICENSE

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make DESTDIR=$RPM_BUILD_ROOT install
rm -fr %{buildroot}/%{_datadir}/doc/%{name}
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/daisy-player
%{_mandir}/man1/daisy-player.1*

%changelog
* Fri Jan 24 2014 Johan Vromans <jvromans@squirrel.nl> - 8.5.1-1
- Upgrade to new upstream.
* Sun Jun 09 2013 Johan Vromans <jvromans@squirrel.nl> - 8.3-1
- Initial version for Fedora 17.
